/*	Header for main routine 
 *	Author:
 *	Version: 0.1
 */
 
#ifndef MAIN_H
#define MAIN_H

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdint.h>
#include <stdio.h>
//#include <avr/eeprom.h>
//#include <avr/wdt.h>
//#include "uart.h"



#define BAT_LEER 352
		// Wenn der ADC Wert ber diesem Wert liegt ist die Batterie leer
		// (das ist invertiert! d.h. niedrigerer ADC-Wert =^ hhere Spannung)
		// 352 =^ 3,2V   -> Schwelle per Messung bestaetigt 
#define BAT_SCHWACH 312
		// Schwelle fuer die Bat-Schwach-Meldung
		// 312 =^ 3,6V   -> Schwelle per Messung bestaetigt
		


// von firefly.h uebernommen
// some macros, don't use WinAVR GCC default macros because these produce inefficient compiled code
//#define  wdt_reset()         asm volatile("wdr")
#define  cli()               asm volatile("cli")
		// cli = Interrupts disabled
#define  sei()               asm volatile("sei")
		// sei = Interrupts enabled
#define  sleep_cpu()         asm volatile("sleep")




//ISR(TIM0_OVF_vect)
//ISR(ANA_COMP);
void init(void);
void work_to_do(void);
void zaehler_zwei_schritte(uint8_t bat_status);
uint8_t batterytest(void);
void sleepwait(uint16_t time);
void stromdetektortest(void);
void adctest(void);
void timertest(void);
void sleepwaittest(void);
void sensortest(void);
void testroutinen(void);


#endif 





